﻿Imports System.IO

Public Class Form1

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim MyStream As Stream = File.Open("C:\SamplePDFViewer\Demo\file.pdf", FileMode.Open, FileAccess.Read)
        PdfViewer1.FileStream = MyStream
        TextBox1.Text = PdfViewer1.FileName
    End Sub

    Private Sub Button3_Click(sender As System.Object, e As System.EventArgs) Handles Button3.Click
        System.Diagnostics.Process.Start("https://www.regnow.com/checkout/product/4459-63")
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        PdfViewer1.Dispose() 'Necessary to free resources used by the PDF Viewer
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Properties that affect the behavior of the PDF Viewer Control
        PdfViewer1.OpenHyperlinks = True
        PdfViewer1.OpenLinks = True
        PdfViewer1.ExpandBookmarks = False
        PdfViewer1.ExactMatch = False 'for text searches
        PdfViewer1.DefaultPDFprinter = False
        PdfViewer1.ImageDPI = 150
        PdfViewer1.PrintDPI = 150
        'Toolbar Icons - Set to False to hide
        PdfViewer1.SaveIcon = True
        PdfViewer1.OpenIcon = True
        PdfViewer1.PrintIcon = True
        PdfViewer1.SaveImageIcon = True
        PdfViewer1.CopyTextIcon = True
        PdfViewer1.ZoomIcon = True
        PdfViewer1.RotateIcon = True
        PdfViewer1.TextSearchIcon = True
        PdfViewer1.ExportIcon = True
        PdfViewer1.UrlIcon = True
        'Toolbar Icons Tooltip Text - If language is not English the tooltip text can be changed
        PdfViewer1.OpenIconTooltip = "Open PDF File"
        PdfViewer1.SaveIconTooltip = "Save PDF File"
        PdfViewer1.PrintIconTooltip = "Print All"
        PdfViewer1.PrintPageIconTooltip = "Print Page"
        PdfViewer1.SaveImageIconTooltip = "Save PDF Page as Image File"
        PdfViewer1.CopyTextIconTooltip = "Copy PDF Page Text to Clipboard"
        PdfViewer1.FirstPageIconTooltip = "First Page"
        PdfViewer1.NextPageIconTooltip = "Next Page"
        PdfViewer1.PreviousPageIconTooltip = "Previous Page"
        PdfViewer1.LastPageIconTooltip = "Last Page"
        PdfViewer1.ZoomInIconTooltip = "Zoom In"
        PdfViewer1.ZoomOutIconTooltip = "Zoom Out"
        PdfViewer1.RotateCCIconTooltip = "Rotate Counter Clockwise"
        PdfViewer1.RotateCIconTooltip = "Rotate Clockwise"
        PdfViewer1.FindIconTooltip = "Find Text"
        PdfViewer1.FindNextIconTooltip = "Find Next"
        PdfViewer1.ExportIconTooltip = "Export PDF to Another File Format"
        'Open and Save Dialog Window Captions - If language is not English the Window captions can be changed
        PdfViewer1.OpenFileWindowCaption = "Open PDF File"
        PdfViewer1.SaveFileWindowCaption = "Save PDF File"
        PdfViewer1.SaveImageFileWindowCaption = "Save Image File"
        PdfViewer1.ExportWindowCaption = "Export PDF File To"
        'Other Toolbar text - If language is not English the toolbar text can be changed
        PdfViewer1.FitToScreenText = "Fit to Screen"
        PdfViewer1.FitToWidthText = "Fit to Width"
        PdfViewer1.GoToPageText = "Go to Page"
        PdfViewer1.PageText = "Page"
        PdfViewer1.OfText = "of"
        PdfViewer1.DeleteTempPDF = True 'Deletes files downloaded from web servers
    End Sub

    Private Sub PdfViewer1_PdfOpened(pdfFile As String) Handles PdfViewer1.PdfOpened
        TextBox1.Text = pdfFile
    End Sub
End Class